## sample output when you run the app

```
printing all objects in the root
y
x
z
printing all objects in the sub directory /x
x3
x4
x2
x6
x5
hello how are you
hello how are you. and I hope you are doing good.
```